﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace JSONNewYorkTimesTutorial
{
    public class NYTResult
    {
        public string Body { get; set; }
        public string Byline { get; set; }
        public DateTime Date { get; set; }
        public string Title { get; set; }
        public Uri Url { get; set; }    

        public DateTime formattedDateTime(string NYT_Time)
        {            
            int year = Convert.ToInt32(NYT_Time.Substring(0, 4));
            int month = Convert.ToInt32(NYT_Time.Substring(4, 2));
            int day = Convert.ToInt32(NYT_Time.Substring(6, 2));
            DateTime finalDateTime = new DateTime(year, month, day);
            return finalDateTime;
        }

    }
}
